sysfs_chmod_file
Prev | Chapter 3. The Filesystem for Exporting Kernel Objects | Next

## Name

sysfs_chmod_file — update the modified mode value on an object attribute.

## Synopsis

`int sysfs_chmod_file (` | struct kobject * | kobj,
| struct attribute * | attr,
| mode_t | mode`)`;

## Arguments

`kobj`

  object we're acting for.

`attr`

  attribute descriptor.

`mode`

  file permissions.

Prev | Up | Next
sysfs_add_file_to_group | Home | sysfs_remove_file